function I = load_own_image(kk , base_name , format_image , type_numbering , image_numbers , N_slots, side),


if ~type_numbering,   
    number_ext =  num2str(image_numbers(kk));
else
    number_ext = sprintf(['%.' num2str(N_slots) 'd'],image_numbers(kk));
end;

if side(1) == 'l',    
    if side(2) == 'e',    
        if side(3) == 'f',    
            if side(4) == 't',    
                ima_name = [base_name  number_ext '_L.' format_image];
end; end; end; end; 
if side(1) == 'r',
    if side(2) == 'i',
        if side(3) == 'g',
            if side(4) == 'h',
                if side(5) == 't',
                    ima_name = [base_name  number_ext '_R.' format_image];
end; end; end; end; end;

    
if ~exist(ima_name),
    
    fprintf(1,'Image %s not found!!!\n',ima_name);
    I = NaN;
    
else
    
    fprintf(1,'Loading image %s...\n',ima_name);
    
    if format_image(1) == 'p',
        if format_image(2) == 'p',
            I = double(loadppm(ima_name));
        else
            I = double(loadpgm(ima_name));
        end;
    else
        if format_image(1) == 'r',
            I = readras(ima_name);
        else
            I = double(imread(ima_name));
        end;
    end;
    
    
  %  if size(I,3)>1,
  %      I = 0.299 * I(:,:,1) + 0.5870 * I(:,:,2) + 0.114 * I(:,:,3);
  %  end;
    
end;
